[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonOKEvent

Daemon acknowledgement event handler

## Declaration

Source position: daemonapp.pp line 28

`type TDaemonOKEvent = procedure(`
`Sender: TCustomDaemon;`
`var OK: Boolean`
`) of object;`

## Arguments

`Sender` |  | Daemon instance
`OK` |  | Operation was successful

## Description

TDaemonOKEvent is used in event handling, when a boolean result must be obtained, for instance, to see if an operation was performed succesfully.

Documentation generated on: Feb 26 2014